package eu.ztsh.garmin.mapbox

import android.util.Log
import com.mapbox.navigation.core.MapboxNavigation
import com.mapbox.navigation.core.lifecycle.MapboxNavigationObserver

class NavigationObserver : MapboxNavigationObserver {

    override fun onAttached(mapboxNavigation: MapboxNavigation) {
        Log.d(TAG, "Attached")
    }

    override fun onDetached(mapboxNavigation: MapboxNavigation) {
        Log.d(TAG, "Detached")
    }

    companion object {
        const val TAG = "MBOXOBS"
    }

}
